# ---------------------------------------------------------------------------
!if !$d(BCB)
BCB = $(MAKEDIR)\..
!endif

# ---------------------------------------------------------------------------
# IDE SECTION
# ---------------------------------------------------------------------------
# The following section of the project makefile is managed by the BCB IDE.
# It is recommended to use the IDE to change any of the values in this
# section.
# ---------------------------------------------------------------------------

VERSION = BCB.06.00
# ---------------------------------------------------------------------------
PROJECT = Schedule.exe
OBJFILES = Schedule.obj FMain.obj FSplash.obj FAddGroup.obj FGroupShow.obj \
    FAddUser.obj Constants.obj FShowUsers.obj FChangePass.obj FAddPeriod.obj \
    FSelectPeriod.obj FShowProfessors.obj FAddProfessor.obj
RESFILES = Schedule.res
MAINSOURCE = Schedule.cpp
RESDEPEN = $(RESFILES) FMain.dfm FSplash.dfm FAddGroup.dfm FGroupShow.dfm \
    FAddUser.dfm FShowUsers.dfm FChangePass.dfm FAddPeriod.dfm \
    FSelectPeriod.dfm FShowProfessors.dfm FAddProfessor.dfm
LIBFILES = 
IDLFILES = 
IDLGENFILES = 
LIBRARIES = dbexpress.lib dsnap.lib cds.lib ibxpress.lib vcldb.lib dbrtl.lib \
    JvDlgsC6R.lib JvDBC6R.lib JvDotNetCtrlsC6R.lib JvCustomC6R.lib \
    JvSystemC6R.lib JvStdCtrlsC6R.lib JvCtrlsC6R.lib vclx.lib Jcl.lib \
    JclVcl.lib JvCoreC6R.lib rtl.lib vcl.lib
PACKAGES = vcl.bpi rtl.bpi dbrtl.bpi adortl.bpi vcldb.bpi vclx.bpi bdertl.bpi \
    vcldbx.bpi ibxpress.bpi dsnap.bpi cds.bpi bdecds.bpi qrpt.bpi teeui.bpi \
    teedb.bpi tee.bpi dss.bpi teeqr.bpi visualclx.bpi visualdbclx.bpi \
    dsnapcrba.bpi dsnapcon.bpi bcbsmp.bpi vclie.bpi xmlrtl.bpi inet.bpi \
    inetdbbde.bpi inetdbxpress.bpi inetdb.bpi nmfast.bpi webdsnap.bpi \
    bcbie.bpi websnap.bpi soaprtl.bpi dclocx.bpi dbexpress.bpi dbxcds.bpi \
    indy.bpi bcb2kaxserver.bpi Jcl.bpi JvAppFrmC6R.bpi JvCoreC6R.bpi \
    JclVcl.bpi JvSystemC6R.bpi JvStdCtrlsC6R.bpi JvBandsC6R.bpi JvBDEC6R.bpi \
    JvDlgsC6R.bpi JvDBC6R.bpi JvCtrlsC6R.bpi JvCmpC6R.bpi JvCryptC6R.bpi \
    JvCustomC6R.bpi JvDockingC6R.bpi JvDotNetCtrlsC6R.bpi JvEDIC6R.bpi \
    JvGlobusC6R.bpi JvHMIC6R.bpi JvInterpreterC6R.bpi JvJansC6R.bpi \
    JvManagedThreadsC6R.bpi JvMMC6R.bpi JvNetC6R.bpi JvPageCompsC6R.bpi \
    JvPluginC6R.bpi JvPrintPreviewC6R.bpi JvRuntimeDesignC6R.bpi \
    JvTimeFrameworkC6R.bpi JvUIBC6R.bpi JvValidatorsC6R.bpi JvWizardC6R.bpi \
    JvXPCtrlsC6R.bpi
SPARELIBS = vcl.lib rtl.lib JvCoreC6R.lib JclVcl.lib Jcl.lib vclx.lib JvCtrlsC6R.lib \
    JvStdCtrlsC6R.lib JvSystemC6R.lib JvCustomC6R.lib JvDotNetCtrlsC6R.lib \
    JvDBC6R.lib JvDlgsC6R.lib dbrtl.lib vcldb.lib ibxpress.lib cds.lib \
    dsnap.lib dbexpress.lib
DEFFILE = 
OTHERFILES = 
# ---------------------------------------------------------------------------
DEBUGLIBPATH = $(BCB)\lib\debug
RELEASELIBPATH = $(BCB)\lib\release
USERDEFINES = _DEBUG
SYSDEFINES = NO_STRICT
INCLUDEPATH = "C:\Program Files\Borland\CBuilder6\Projects";C:\PROJECTS\PROJECT_SCHEDULE\Schedule;$(BCB)\include;$(BCB)\include\vcl
LIBPATH = "C:\Program Files\Borland\CBuilder6\Projects";C:\PROJECTS\PROJECT_SCHEDULE\Schedule;$(BCB)\Projects\Lib;$(BCB)\lib\obj;$(BCB)\lib
WARNINGS= -w-par
PATHCPP = .;
PATHASM = .;
PATHPAS = .;
PATHRC = .;
PATHOBJ = .;$(LIBPATH)
# ---------------------------------------------------------------------------
CFLAG1 = -Od -H=$(BCB)\lib\vcl60.csm -Hc -Vx -Ve -X- -r- -a8 -b- -k -y -v -vi- -c \
    -tW -tWM
IDLCFLAGS = -src_suffix cpp -D_DEBUG -I"C:\Program Files\Borland\CBuilder6\Projects" \
    -IC:\PROJECTS\PROJECT_SCHEDULE\Schedule -I$(BCB)\include \
    -I$(BCB)\include\vcl -boa
PFLAGS = -$Y+ -$W -$O- -$A8 -v -JPHNE -M
RFLAGS = 
AFLAGS = /mx /w2 /zi
LFLAGS = -D"" -aa -Tpe -GD -s -Gn -v
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj sysinit.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) $(LIBRARIES) import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
!ifdef IDEOPTIONS

[Version Info]
IncludeVerInfo=0
AutoIncBuild=0
MajorVer=1
MinorVer=0
Release=0
Build=0
Debug=0
PreRelease=0
Special=0
Private=0
DLL=0

[Version Info Keys]
CompanyName=
FileDescription=
FileVersion=1.0.0.0
InternalName=
LegalCopyright=
LegalTrademarks=
OriginalFilename=
ProductName=
ProductVersion=1.0.0.0
Comments=

[Debugging]
DebugSourceDirs=$(BCB)\source\vcl

!endif





# ---------------------------------------------------------------------------
# MAKE SECTION
# ---------------------------------------------------------------------------
# This section of the project file is not used by the BCB IDE.  It is for
# the benefit of building from the command-line using the MAKE utility.
# ---------------------------------------------------------------------------

.autodepend
# ---------------------------------------------------------------------------
!if "$(USERDEFINES)" != ""
AUSERDEFINES = -d$(USERDEFINES:;= -d)
!else
AUSERDEFINES =
!endif

!if !$d(BCC32)
BCC32 = bcc32
!endif

!if !$d(CPP32)
CPP32 = cpp32
!endif

!if !$d(DCC32)
DCC32 = dcc32
!endif

!if !$d(TASM32)
TASM32 = tasm32
!endif

!if !$d(LINKER)
LINKER = ilink32
!endif

!if !$d(BRCC32)
BRCC32 = brcc32
!endif


# ---------------------------------------------------------------------------
!if $d(PATHCPP)
.PATH.CPP = $(PATHCPP)
.PATH.C   = $(PATHCPP)
!endif

!if $d(PATHPAS)
.PATH.PAS = $(PATHPAS)
!endif

!if $d(PATHASM)
.PATH.ASM = $(PATHASM)
!endif

!if $d(PATHRC)
.PATH.RC  = $(PATHRC)
!endif

!if $d(PATHOBJ)
.PATH.OBJ  = $(PATHOBJ)
!endif
# ---------------------------------------------------------------------------
$(PROJECT): $(OTHERFILES) $(IDLGENFILES) $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) -L$(LIBPATH) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!
# ---------------------------------------------------------------------------
.pas.hpp:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.pas.obj:
    $(BCB)\BIN\$(DCC32) $(PFLAGS) -U$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -O$(INCLUDEPATH) --BCB {$< }

.cpp.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.obj:
    $(BCB)\BIN\$(BCC32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n$(@D) {$< }

.c.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.cpp.i:
    $(BCB)\BIN\$(CPP32) $(CFLAG1) $(WARNINGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -n. {$< }

.asm.obj:
    $(BCB)\BIN\$(TASM32) $(AFLAGS) -i$(INCLUDEPATH:;= -i) $(AUSERDEFINES) -d$(SYSDEFINES:;= -d) $<, $@

.rc.res:
    $(BCB)\BIN\$(BRCC32) $(RFLAGS) -I$(INCLUDEPATH) -D$(USERDEFINES);$(SYSDEFINES) -fo$@ $<



# ---------------------------------------------------------------------------




